%define upstream_name    Data-Password-zxcvbn
%define upstream_version 1.1.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Ranked dictionaries for common English words
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Visitor::Callback)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Most)
BuildRequires: perl(lib)
BuildRequires: perl(mro)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is a Perl port of Dropbox's password strength estimation library,
https://github.com/dropbox/zxcvbn.

The code layout has been reworked to be generally nicer (e.g. we use
classes instead of dispatch tables, all data structures are immutable) and
to pre-compute more (e.g. the dictionaries are completely pre-built,
instead of being partially computed at run time).

The code has been tested against the the Python
port's|https://github.com/dwolfhub/zxcvbn-python manpage
_password_expected_value.json_ test. When the dictionaries contain exactly
the same data (including some words that are loaded wrongly by the
Javascript and Python code, due to escaping issues), our results are
identical. With the dictionaries as provided in this distribution, the
results (estimated number of guesses) are still within 1%.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/zxcvbn-password-strength
%{_mandir}/man1/zxcvbn-password-strength.1*




%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.1.2-2.mga10
+ Revision: 2229891
- Mageia 10 Mass Rebuild

* Sun Nov 10 2024 wally <wally> 1.1.2-1.mga10
+ Revision: 2113574
- imported package perl-Data-Password-zxcvbn


* Sun Nov 10 2024 cpan2dist 1.1.2-1mga
- initial mageia release, generated with cpan2dist
